### Struct

# Qmi MessageImsaRegisterIndicationsInput

since: 1.36

#### Description [src]

    struct QmiMessageImsaRegisterIndicationsInput {
      /* No available fields */
    }

The `QmiMessageImsaRegisterIndicationsInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.36

#### Constructors

###### qmi_message_imsa_register_indications_input_new

Allocates a new `QmiMessageImsaRegisterIndicationsInput`.

since: 1.36

#### Instance methods

###### qmi_message_imsa_register_indications_input_get_ims_registration_status_changed

Get the ‘IMS Registration Status Changed’ field from `self`.

since: 1.36

###### qmi_message_imsa_register_indications_input_get_ims_services_status_changed

Get the ‘IMS Services Status Changed’ field from `self`.

since: 1.36

###### qmi_message_imsa_register_indications_input_ref

Atomically increments the reference count of `self` by one.

since: 1.36

###### qmi_message_imsa_register_indications_input_set_ims_registration_status_changed

Set the ‘IMS Registration Status Changed’ field in the message.

since: 1.36

###### qmi_message_imsa_register_indications_input_set_ims_services_status_changed

Set the ‘IMS Services Status Changed’ field in the message.

since: 1.36

###### qmi_message_imsa_register_indications_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.36